Next: _gfortran_caf_co_max, Previous: _gfortran_caf_atomic_op, Up: Function ABI Documentation [Contents][Index]

#### 8.2.24 `_gfortran_caf_co_broadcast` — Sending data to all images

Description:

  Distribute a value from a given image to all other images in the team. Has to be called collectively.

Syntax:

  `void _gfortran_caf_co_broadcast (gfc_descriptor_t *a, int source_image, int *stat, char *errmsg, int errmsg_len)`

Arguments:

  a | intent(inout) And array descriptor with the data to be breoadcasted (on source_image) or to be received (other images).
  source_image | The ID of the image from which the data should be taken.
  stat | intent(out) Stores the status STAT= and may be NULL.
  errmsg | intent(out) When an error occurs, this will be set to an error message; may be NULL
  errmsg_len | the buffer size of errmsg.